*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
:root{
    --background-color: rgb(2 42 42);
    --color:white;
    --background-none: rgb(0,0,0,0);
    --box-shadow: 0 0 10px  rgb(213, 231, 239);
}
body{
    position: relative;
    height: 100vh;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}
.header-main{
    width: 80%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: absolute;
    top: 20px ;
    border-radius: 10px;
    box-shadow:var(--box-shadow);
    right: 20px;
    background-color: var(--background-color);
}

.header-main .left{
    display: flex;
    align-items: center;
}
.header-main .search-bar{
    display: flex;
    align-items: center;
    border: 1px solid white;
    margin:17px 20px;
    border-radius: 30px ;
}
.header-main .search-bar input{
    padding: 10px;
    border: none;
    outline: none;
    background-color:var(--background-none);
}
.header-main .search-bar input::placeholder{
    color: var(--color);
}
.header-main .search-bar i{
    margin: 0px 10px;
    font-size: 15px;
    color: var(--color);
}
.header-main .header-icon{
    width: 40px;
    height: 40px;
    border: 1px solid white;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: gray;
    overflow: hidden;
    font-size: 20px;
    margin-right: 20px;
}
.header-main .header-icon i{
    color: var(--color);
}
.header-main .header-icon img{
    width: 100%;
}
.header-main .left-icon{
    margin-left: 20px;
    color: var(--color);
}
/* .............left-slider-main................................................. */
.left-slider-main{
   width: 16%;
   height: 94vh;
    align-content: start;
    justify-items: space-between;
    position: absolute;
    top: 20px ;
    border-radius: 10px;
    overflow: hidden;
    background-color: var(--background-color);
    box-shadow: var(--box-shadow);
    left: 20px;
}
.left-slider-main .left-slider-top{
    width: 100%;
    margin: 20px 0px;
    display: flex;
    align-items: center;
}
.left-slider-main .left-slider-top i{
    font-size: 30px;
}
.left-slider-main .left-slider-top h2{
    text-align: center;
    margin: 20px;
    color: var(--color);
    font-size: 23px;
}
.left-slider-main p{
    color: var(--color);
    font-size: 17px;
    margin:  20px;
}
.left-slider-main .left-slider-ul{
    display: flex;
}
.left-slider-main .left-slider-ul .ul{
    list-style-type: none;
    color: var(--color);
    height: 72vh;
    overflow-y: scroll;
    scrollbar-width: thin;
    scrollbar-color: var(--color) var(--background-color);
    width: 100%;
}
.left-slider-main .left-slider-ul .ul .li-main{
    padding: 15px 10px;
    font-size: 15px;
    transition: .5s;
    cursor: pointer;
    width: 100%;
     display: flex;
    justify-content: space-between;
}
.left-slider-main .left-slider-ul .ul .li-main .li-main-inner{
    width: 100%;
    display: flex;
    justify-content: space-between;
}
.left-slider-main .left-slider-ul .ul .li-main:hover{
    background-color: var(--color);
    color: var(--background-color);
}
.left-slider-main .left-slider-ul .ul .li-main span i{
    margin-right: 10px;
}
.left-slider-main .left-slider-ul  .hid{
    list-style: none;
    margin: 0;
    background-color: var(--background-color);
}
.left-slider-main .left-slider-ul  .hid li{
    padding: 15px;
    display: none;
    text-align: center;
    transition: .5s;
}
.left-slider-main .left-slider-ul  .hid li:hover{
    background-color: var(--color);
    color: var(--background-color);
}
/* ...............body-slider-main............................................... */
.body-slider-main{
   width:  80%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 16%;
    right: 20px;
}
/* ..................................................................... */
.product-main{
    width: 100%;
    height: 100%;
}
.product-main .product-top{
    display: flex;
    align-items: center;
}
.product-main .serch-main{
    display: flex;
    align-items: center;
}
.product-main .serch-main button{
   padding: 10px 15px;
    background-color: rgb(243, 244, 245);
    color: var(--background-color);
    font-size: 18px;
    box-shadow: var(--box-shadow);
    border-radius: 5px;
    margin-right: 30px;
}
.product-main .search-bar{
    display: flex;
    align-items: center;
    border: 2px solid var(--background-color);
    margin:17px 20px;
    border-radius: 5px ;
}
.product-main .search-bar input{
    padding: 13px;
    border: none;
    outline: none;
    background-color:var(--background-none);
}
.product-main .search-bar input::placeholder{
    color: var(--background-color);
    font-size: 15px;
}
.product-main .search-bar i{
    margin: 0px 10px;
    font-size: 15px;
    color: var(--background-color);
}
.product-main .right-right{
    display: flex;
    align-items: center;
}
.product-main .product-main-inner{
    overflow-y: scroll;
    scrollbar-width: thin;
    scrollbar-color: var(--color) var(--color);
    height: 74vh;
}
.product-main table{
    border-collapse: collapse;
    width: 100%;
    margin: auto;
    /* box-shadow: var(--box-shadow); */
    border: .5px solid  rgb(213, 231, 239);
}
.product-main table th{
    padding: 20px ;
    /* border: 1px solid gray; */
    /* border: 1px solid var(--background-color); */
    background-color: rgb(220, 243, 243);
    color: var(--background-color);
}
.product-main table td{
    text-align: center;
    padding: 10px ;
    border-top: 1px solid  rgb(229, 229, 229);
    /* background:  rgb(243, 244, 245); */
}
.product-main table td button{
    width: 30px;
    margin: 0px 5px;
    border: none;
    outline: none;
    height: 30px;
    border-radius: 5px;
}
.product-main table td .button1{
    background-color: var(--background-color);
    color: var(--color);
    
}
.product-main table td .button2{
    background-color: rgb(91, 91, 224);
    color: var(--color);
    
}
.product-main table td .button3{
    background-color: rgb(249, 19, 19);
    color: var(--color);
    
}
.product-main table td i{
    /* color: var(--background-color); */
    font-size: 15px;
    cursor: pointer;
}
.product-main table .tr2{
    background-color: rgb(243, 244, 245);
}
.product-main .button-button{
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.product-main .product_button{
    padding: 10px;
    background-color:  rgb(243, 244, 245);;
    color: var(--background-color);
    font-size: 18px;
    margin:0px 0px 20px 20px;
    box-shadow: var(--box-shadow);
    border-radius: 5px ;
    
}
.product-main .product_button a{
   color: var(--background-color);
   text-decoration: none; 
}
/* ...................................................... */
.form-main{
    width: 100%;
    box-shadow: var(--box-shadow);
    border-radius:10px ;
    padding: 30px;
    transition: .5s;
    overflow: hidden;
    /* background-color:  rgb(238, 239, 240); */
}
.form-main h2{
    text-align: center;
    margin: 20px 0px 50px 0px;
}
.form-main .input {
    width: 100%;
    margin: 20px auto;
}
.form-main .input input{
    padding: 15px ;
    width: 100%;
    border: 1px solid gray;
    outline: none;
    margin-top: 10px;
     background-color:  rgb(238, 239, 240);     
}
.form-main .input .label{
    font-size: 15px;
    font-weight: bold;
}
.form-main .input1 input[type="file"] {
 padding: 0px;
  border: 1px solid gray;
}
.form-main .input1 input[type="file"]::file-selector-button {
  padding: 15px ;
  
  border: none;
  background-color: rgb(202, 201, 201);
  cursor: pointer;
}
.form-main .submit_button{
    display: flex;
    margin: 40px 0px 20px 0px;
    justify-content: center;
}
.form-main .submit_button button{
    padding: 10px;
    background-color: var(--background-color);
    color: var(--color);
    font-size: 15px;
    border-radius: 5px ;
    cursor: pointer;
    width: 20%;
}